/***
 * 大map，存储所有组件对象，key是该对象ID，obj是对象本身，组件层级，都存这里，后期应该把page也加这里
 */
"use strict";
import { util } from './util/util.js'
class fullMap{
    static push(key,obj){
        this.initObjMap();
        this.objMap.set(key,obj);
    }
    static getObj(key){
        this.initObjMap();
        return this.objMap.get(key);
    }
    static initObjMap(){
        if(util.isNull(this.objMap)){
            this.objMap=new Map();
        }
    }
    static getMap(){
        return this.objMap;
    }
}
export {fullMap};